<form [formGroup]="uploadForm" (ngSubmit)="onSubmit()">
  <label>
    First Name :
    <input type="text" formControlName="firstName" required>
  </label>

  <label>
    Last Name :
    <input type="text" formControlName="lastName" required>
  </label>

  <label>
    Upload File :
    <input type="file" name='uploadfile' (change)="onFileSelect($event)">
  </label>

  <button type="submit">Submit</button>
</form>


<button type="button" (click)="TryGet()">Try Get</button>

<button type="button" (click)="TryPost()">Try POST</button>
